package com.jasamedika.medifirst2000.service;

import java.util.List;
import java.util.Map;

import com.jasamedika.medifirst2000.vo.NeracaLimbahVO;

/**
 * DetailAnggaran Service
 * 
 * @author Adik
 */
public interface NeracaLimbahService  {

	Map<String, Object> add(NeracaLimbahVO vo);
	
	Map<String, Object> update(NeracaLimbahVO vo);

	Map<String, Object> listNeracaLimbah(Integer page, Integer limit, String sort, String dir);

	Map<String, Object> neracaLimbahDetail(String noRec);
	
	Map<String, Object> getJumlahJenisLimbahB3ByPeriode(String startDate, String endDate);
	
	Map<String, Object> findReportNeracaLimbahB3(String noRec);
	
	Map<String, Object> findReportDetailNeracaLimbahB3(String noRec);
	
	Boolean deleteNeracaLimbah(String noRec) throws IllegalAccessException;; 
	
}
